package intrinsic.flash.display;

public class DisplayObjectContainer extends intrinsic.flash.display.InteractiveObject {

	/** Accessors */
	public intrinsic.flash.text.TextSnapshot textSnapshot;
	public boolean mouseChildren;
	public boolean tabChildren;
	public int numChildren;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DisplayObjectContainer() {
}


/** Static Methods */

/** Methods */
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void swapChildren(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.display.DisplayObject arg1);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native void swapChildrenAt(int arg0, int arg1);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native boolean areInaccessibleObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native boolean contains(intrinsic.flash.display.DisplayObject arg0);

}
